%define patch_name	kernel-feat-net-ppp-mppe

Name:           %patch_name
Version:        20030707
Release:        alt5
Summary:        %patch_name kernel patch - Microsoft PPE support
License:        GPL
Group:          Development/Other
URL:            http://cvs.samba.org/cgi-bin/cvsweb/ppp/linux/mppe/
BuildArch:      noarch
BuildRequires: kernel-build-tools

%source  0	2.4_00_linux-2.4.19-%version-mppe.patch	2.4
%source 10	2.4_10_mppe-pcomp-fix.patch		2.4

# 2.6 patches

# http://www.polbox.com/h/hs001/
# patch edited to remove useless hunk with FILEVERSION
%source 50	2.6_linux-2.6.10-mppe-mppc-1.2.patch	2.6

Packager:	Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
Microsoft Point-to-Point Encryption support

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 20030707-alt5
- Updated for kernel 2.6.10.
- Updated 2.6 patch (version 1.2).

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 20030707-alt4
- updated patch for kernel 2.6 (version 1.1)

* Thu Aug 05 2004 Anton Farygin <rider@altlinux.ru> 20030707-alt3
- 2.6 patch added (#4716)

* Sat Apr 24 2004 Sergey Vlasov <vsu@altlinux.ru> 20030707-alt2
- Added:
  + 10_mppe-pcomp-fix.patch: fix interoperability problem with some
    implementations that perform protocol field compression for the encrypted
    data (the protocol field must be decompressed too).
- Spec file cleanup (use macros from kernel-build-tools).

* Fri Oct 03 2003 Andy Gorev <horror@altlinux.ru> 20030707-alt1
- Version changed to current CVS snapshot
- Old patch removed
- New patchset from current ppp CVS added
  Use CONFIG_PPP_MPPE=m to enable it
- URL added

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 0.9.6b-alt3
- inlcude %{patches_dir} into package

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 0.9.6b-alt2
- update for 2.4.22
- buildreq added

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6b-alt1
- initial release
